Bug 37018 - (PCMCIA I82365)pcmcia.img/pcmciadd.img install fails
(PCMCIA I82365)pcmcia.img/pcmciadd.img install fails
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-21 16:02 EDT by derek
Modified: 2008-08-01 12:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:38:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description derek 2001-04-21 16:02:24 EDT
I'm attempting to do a NFS install using the pcmcia.img disk, after I get
to the insert "pcmcia drivers disk" prompt I insert the pcmciadd.img disk
and after it's happy, move on to language, etc. selections. When I get to
media the only option I have is a hard disk. Presumably booting the
pcmcia.img should imply that I want to do a network install?!? I've also
tried bootnet.img but then I don't have a network because there's no pcmcia
drivers... 

This is on an older dell latitude LM-133 that has been great with
redhat 4.2, 5.x and 6.2. I did have a very similar problem with the 6.1
installer and never was able to get past it. (see 
http://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=5852 for details).
Comment 1 Brent Fox 2001-04-21 16:17:11 EDT
Can you look on VC3 and VC4 and tell us what messages are displayed?  There may
have been a problem inserting the module.  Also, in RHL 7, what module does your
card use?
Comment 2 derek 2001-04-21 21:05:39 EDT
Thanks for the quick response!

VC3 says:

...before OK to pcmciadd...

* need to load i82365
* going to insmod pcmcia_core.o (path is NULL)
* failed to load pcmcia_core -- ask for pcmciadd
* read rhpcmcia

...after OK to pcmciadd...

* going to insmod pcmcia_core.o (path is NULL)
* going to insmod i82365.o (path is NULL)
/tmp/i82365.o: init_module: %m
Hint: insmod errors can be caused by incorrect module parameters, including
invlid IO or IRQ parameters
* failed to load pcic
* probing buses
* finished bus probing
* found nothing

VC4 says:
<6>Linux PCMCIA Card Services 3.1.22
<6>  options:  [pci] [cardbus]
<6>Intel PCIC probe: not found.

Apparently I never got past the 6.1 install problem on this machine :).
Under RHL *6.0* cat /proc/modules reports:

serial_cs		4848	0 (unused)
smc91c92_cs		14896	1
ds			6280	2 [serial_cs smc91c92_cs]
i82365			29384	2
pcmcia_core		44320	0 [serial_cs smc91c92_cs ds i82365]

So at a glance it seems that the pcmciadd disk is actually trying to load the
proper card (i82365). I don't see anything related to it in /etc/lilo.conf or
/etc/pcmcia/* but /etc/sysconfig/pcmcia has the following:

PCMCIA=yes
PCIC=i82365
PCIC_OPTS=
CORE_OPTS=
CARDMGS_OPTS=-qv

Any ideas?



Comment 3 Brent Fox 2001-04-22 01:37:58 EDT
There are some problems with the 2.4 kernel and pcmcia cardbus support, but I
don't know all the details.  From what I've seen on the testers mailing lists,
some systems work and some don't.  But since you had this problem on this
machine with 6.1, that may not be the problem at all.  A potential workaround
might be to boot off of the cdrom if your bios supports it.  If not, you can try
booting off the boot.img floppy and then using the cdrom.  As another option,
you can try a hard drive install if you have enough room on the drive for both
the ISOs.  I'm curious to know if the network card would work after you got the
system installed.
Comment 4 derek 2001-04-26 00:39:25 EDT
Still trying, but I haven't downloaded and burned the cd images yet. I'm not
sure this old laptop can boot from the CD and since the floppy and CD are two
separate removable devices that share the same slot I'm also wondering whether a
floppy boot to a CD install is going to work. 

In an attempt to verify this before downloading and burning the CD's I thought
I'd try to go through the boot process first and get to the point where it is
actually looking for a CD and spinning the drive. I get started using boot.img
and then select a CD rom install (non-SCSI/Other CD ROM)  which asks for the
driver disk. This seems to fail though, and on VC4 there are some complaints
about the fat fs on the driver disk. I'm assuming drivers.img is the right disk,
is there supposed to be a fat fs in this image? I was a bit surprised by this I
guess.

At any rate, I now can't get past the drivers.img disk and the non-scsi CD rom.
I have verified that the floppy itsself seems to be ok (sum drivers.img and sum
/dev/fd0 report the same numbers) since I've tossed at least 3 bad floppy's into
the trash already. I seem to lose a few each time I do a new install, hopefully
all my machines will be CD bootable before I run out of disks! :)

Comment 5 Need Real Name 2001-05-07 16:43:35 EDT
i'm seeing the same thing on my brand new Dell Latitude C600.
Comment 6 Need Real Name 2001-05-07 16:48:54 EDT
the most direct cause of the problem seems to be (from F4):

<6>Linux PCMCIA Card Services 3.1.22
...
<30>May  7 16:35:52 cardmgr[43]: starting, version is 3.1.23
<30>May  7 16:35:52 cardmgr[43]: watching 2 sockets
<30>May  7 16:35:52 cardmgr[43]: Card Services release does not match
<28>May  7 16:35:52 cardmgr[43]: could not open /var/run/cardmgr.pid: %m
<28>May  7 16:35:52 cardmgr[43]: fopen(stabfile) failed: %m
<30>May  7 16:35:52 cardmgr[43]: exiting

the "release does not match" message seems pretty ominous.
Comment 7 Miguel Catalina Gallego 2001-05-09 10:27:20 EDT
Hi, 

I have the same problem as leg+redhat@andrew.cmu.edu. I have tried several 
different PCMCIA network cards that I have used with RH7.0 with 2.2 and 2.4 
kernels. They are all recognised by the installer (according to the messages in 
VC4), but cardmgr hangs anyway. Since cardmgr is not there the network does not 
work, and I cannot do the network install. I have tried in three different 
computers: an old Toshiba laptop, a Gateway laptop, and a COMPAQ ARMADA M700, 
getting always the same results.

After entering the network configuration data I hear the beeps from the PCMCIA 
soft, but the machine does not respond to pings, and it is not able to retrieve 
its hostname.

Messages in VC4:

....
cardmgr: starting, version is 3.1.23
cardmgr: watching 2 sockets
cardmgr: Card Services release does not match
cardmgr: could not open /var/run/cardmgr.pid
cardmgr: fopen(stabfile) failed: %m
cs: memory probe 0xa0000...-0xafff...: clean.
cardmgr: initializing socket 1
cardmgr: socket 1: Lucent Technologies WaveLAN/IEEE Adapter
cardmgr: executing: 'modprobe wvlan_cs.o'
wvlan_cs: WaveLAN/IEEE PCMCIA driver v1.0.6
wvlan_cs: (c) Adreas Neuhaus ....
wvlan_cs: index 0x01: Vcc 5.0, irq 3, io 0x0180-0x01bf
wvlan_cs: registered netdevice eth0
wvlan_cs: MAC address on eth0 is xx xx xx xx xx xx
cardmgr: fopen(stabfile) failed: %m
cardmgr: exiting
cdrom: open failed

Comment 8 Miguel Catalina Gallego 2001-05-09 10:29:19 EDT
I wonder if using different versions of the CS cardmgr and CS support in the 
kernel might be a cause the problem.
Comment 9 Matt Wilson 2001-07-19 14:55:20 EDT
No, this level of problem is not caused by simple card services/card manager
mismatches.
Comment 10 Matt Wilson 2001-08-15 16:34:00 EDT
Miguel, wvlan_cs needs more support than just the module if you're doing ad hoc
mode.  The installer is doing the right thing with regard to inserting the
wvlan_cs module, but it just isn't configured properly for your wireless LAN. 
This isn't a supported configuration.
Comment 11 Matt Wilson 2001-08-15 16:35:48 EDT
Derek, the tell-tell sign in your problem is this kernel output:

<6>Linux PCMCIA Card Services 3.1.22
<6> options:  [pci] [cardbus]
<6>Intel PCIC probe: not found.

It wasn't able to find the PCIC, so no pcmcia or cardbus cards are going to work
in your machine.  This is a kernel level problem.


Comment 12 Bugzilla owner 2004-09-30 11:38:57 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.